当前位置:论坛首页 > Linux面板 > 求助

【待反馈】网站监控报表报错

发表在 Linux面板2022-1-12 18:04 [复制链接] 5 316

插件:网站监控报表
报错:IP统计功能。


Traceback (most recent call last):

File "class/flask_sockets.py", line 30, in __call__
handler, values = adapter.match()
File "/www/server/panel/pyenv/lib/python3.7/site-packages/werkzeug/routing.py", line 1945, in match
raise NotFound()
werkzeug.exceptions.NotFound: 404 Not Found: The requested URL was not found on the server. If you entered the URL manually please check your spelling and try again.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "class/panelPlugin.py", line 1968, in a
return eval(execStr)
File "", line 1, in
File "plugin/total/total_main.py", line 3395, in get_ip_stat
fields, flow_fields = self.get_data_fields(query_date)
File "plugin/total/total_main.py", line 3296, in get_data_fields
_, last_month_days = calendar.monthrange(year, month-1)
File "/www/server/panel/pyenv/lib/python3.7/calendar.py", line 124, in monthrange
raise IllegalMonthError(month)
calendar.IllegalMonthError: bad month number 0; must be 1-12
使用道具 举报 只看该作者 回复
发表于 2022-1-12 18:16:58 | 显示全部楼层
您好,您那边可通过软件商店内的修复按钮修复此插件再看看是否报错,如果还是报错,请添加网站监控报表插件集中处理Q群:625962236
25.png
使用道具 举报 回复 支持 反对
发表于 2022-1-12 18:19:20 | 显示全部楼层
您好,您修复下面板版本后,更新下监控报表插件
使用道具 举报 回复 支持 反对
发表于 2022-1-12 18:28:57 | 显示全部楼层
大炮运维V587 发表于 2022-1-12 18:19
您好,您修复下面板版本后,更新下监控报表插件

更新修复之后
提示:
请求接口IP统计异常:bad month number 0; must be 1-12

应该是记录的时候出错的
使用道具 举报 回复 支持 反对
发表于 2022-1-12 19:26:43 | 显示全部楼层
宝塔用户_ynboop 发表于 2022-1-12 18:28
更新修复之后
提示:
请求接口IP统计异常:bad month number 0; must be 1-12

您可以先加下群,可能需要明天才能处理,开发已经下班了。
使用道具 举报 回复 支持 反对
发表于 2022-1-13 15:47:48 | 显示全部楼层
宝塔用户_ynboop 发表于 2022-1-12 18:28
更新修复之后
提示:
请求接口IP统计异常:bad month number 0; must be 1-12

您好,现在好了吗?
使用道具 举报 回复 支持 反对
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

快速回复 返回顶部 返回列表